Skip to main content
GET
Typescript (SDK)

Authorizations

Syllable-API-Key
string
header
required

Path Parameters

prompt_id
integer
required

Response

Successful Response

Response model for prompt operations. A prompt defines the behavior of an agent by delivering instructions to the LLM about how the agent should behave. A prompt can be linked to one or more agents. A prompt can also be linked to tools to allow an agent using it to use those tools. For more information, see Console docs.

name
string
required

The prompt name

Example:

"Weather Agent Prompt"

type
string
required

The type of the prompt

Example:

"prompt_v1"

llm_config
PromptLlmConfig · object
required

The configuration for the LLM that the prompt uses

Example:
id
integer
required

The internal ID of the prompt

Example:

1

last_updated
string | null
required

The last updated date of the prompt

Example:

"2024-01-01T12:00:00Z"

description
string | null

The description of the prompt

Example:

"Prompt for a weather agent."

context
string | null

The prompt text that will be sent to the LLM at the beginning of the conversation

Example:

"You are a weather agent. Answer the user's questions about weather and nothing else."

tools
string[]
deprecated

Names of the tools to which the prompt has access (DEPRECATED - use information from full tools field instead)

Examples:

"hangup"

"summary"

session_end_enabled
boolean
default:false

Whether session end functionality is enabled for this prompt

Example:

false

session_end_tool_id
integer | null

ID of the optional session end tool associated with the prompt

Example:

1

edit_comments
string | null

The comments for the most recent edit to the prompt

Example:

"Updated prompt text to include requirement to not answer questions that aren't about weather."

last_updated_by
string | null

Email address of the user who most recently updated the prompt

Example:

"user@email.com"

session_end_tool
DaoToolResponse · object | null

The session end tool associated with the prompt

agent_count
integer | null

The number of agents using the prompt

Example:

5

version_number
integer | null

The version number of the current version of the prompt

Example:

1

tools_full
ToolResponse · object[] | null

Full definitions of tools to which the prompt has access